Index: /branches/version-2_11-dev/data/module/SOAP/example/example_server.php
===================================================================
--- /branches/version-2_11-dev/data/module/SOAP/example/example_server.php	(revision 21318)
+++ /branches/version-2_11-dev/data/module/SOAP/example/example_server.php	(revision 21410)
@@ -1,116 +1,123 @@
 <?php
-/**
- * Example server.
- *
- * PHP versions 4 and 5
- *
- * LICENSE: This source file is subject to version 2.02 of the PHP license,
- * that is bundled with this package in the file LICENSE, and is available at
- * through the world-wide-web at http://www.php.net/license/2_02.txt.  If you
- * did not receive a copy of the PHP license and are unable to obtain it
- * through the world-wide-web, please send a note to license@php.net so we can
- * mail you a copy immediately.
- *
- * @category   Web Services
- * @package    SOAP
- * @author     Shane Caraveo <Shane@Caraveo.com>   Port to PEAR and more
- * @author     Jan Schneider <jan@horde.org>       Maintenance
- * @copyright  2003-2007 The PHP Group
- * @license    http://www.php.net/license/2_02.txt  PHP License 2.02
- * @link       http://pear.php.net/package/SOAP
- */
+//
+// +----------------------------------------------------------------------+
+// | PHP Version 4                                                        |
+// +----------------------------------------------------------------------+
+// | Copyright (c) 1997-2003 The PHP Group                                |
+// +----------------------------------------------------------------------+
+// | This source file is subject to version 2.02 of the PHP license,      |
+// | that is bundled with this package in the file LICENSE, and is        |
+// | available at through the world-wide-web at                           |
+// | http://www.php.net/license/2_02.txt.                                 |
+// | If you did not receive a copy of the PHP license and are unable to   |
+// | obtain it through the world-wide-web, please send a note to          |
+// | license@php.net so we can mail you a copy immediately.               |
+// +----------------------------------------------------------------------+
+// | Authors: Shane Caraveo <Shane@Caraveo.com>                           |
+// +----------------------------------------------------------------------+
+//
+// $Id: example_server.php,v 1.6 2007/01/22 11:51:45 yunosh Exp $
+//
 
-/** SOAP_Value */
+// first, include the SOAP/Server class
 require_once 'SOAP/Value.php';
 require_once 'SOAP/Fault.php';
 
-/** SOAPStruct */
-require_once dirname(__FILE__) . '/example_types.php';
+// SOAPStruct is defined in the following file
+require_once 'example_types.php';
 
-/* Create a class for your SOAP functions. */
+// create a class for your soap functions
 class SOAP_Example_Server {
-    /* The dispatch map does not need to be used, but aids the server class in
-     * knowing what parameters are used with the functions.  This is the ONLY
-     * way to have multiple OUT parameters.  If you use a dispatch map, you
-     * MUST add ALL functions you wish to allow be called.  If you do not use
-     * a dispatch map, then any public function can be called from SOAP. We
-     * consider this to be any function in the class unless it starts with
-     * underscore.  If you do not define in/out parameters, the function can
-     * be called with parameters, but no validation on parameters will
-     * occur. */
+    /**
+     * The dispactch map does not need to be used, but aids
+     * the server class in knowing what parameters are used
+     * with the functions.  This is the ONLY way to have
+     * multiple OUT parameters.  If you use a dispatch map, you
+     * MUST add ALL functions you wish to allow be called.  If
+     * you do not use a dispatch map, then any public function
+     * can be called from soap (in php4, we consider this to be
+     * any function in the class unless it starts with underscore,
+     * php5 support is not complete yet in this regard).  
+     * if you do not define in/out parameters, the function can be
+     * called with parameters, but no validation on parameters will
+     * occure.
+     */
     var $__dispatch_map = array();
 
     function SOAP_Example_Server() {
-        /* When generating WSDL for a server, you have to define any special
-         * complex types that you use (ie classes).  Using a namespace id
-         * before the type will create an XML schema with the targetNamespace
-         * for the type multiple types with the same namespace will appear in
-         * the same schema section.  Types with different namespaces will be
-         * in seperate schema sections.  The following SOAPStruct typedef
-         * cooresponds to the SOAPStruct class above. */
-        $this->__typedef['{http://soapinterop.org/xsd}SOAPStruct'] =
-            array('varString' => 'string',
-                  'varInt' => 'int',
-                  'varFloat' => 'float');
+        /**
+        * when generating wsdl for a server, you have to define
+        * any special complex types that you use (ie classes).
+        * using a namespace id before the type will create an
+        * xml schema with the targetNamespace for the type
+        * multiple types with the same namespace will appear
+        * in the same schema section.  types with different
+        * namespaces will be in seperate schema sections.
+        * the following SOAPStruct typedef cooresponds to the
+        * SOAPStruct class above.
+        */
+        $this->__typedef['{http://soapinterop.org/xsd}SOAPStruct'] = 
+                    array(
+                        'varString' => 'string',
+                        'varInt' => 'int', 
+                        'varFloat' => 'float'
+                         );
 
-        /* An aliased function with multiple out parameters. */
-        $this->__dispatch_map['echoStructAsSimpleTypes'] =
-            array('in' => array('inputStruct' => '{http://soapinterop.org/xsd}SOAPStruct'),
-                  'out' => array('outputString' => 'string',
-                                 'outputInteger' => 'int',
-                                 'outputFloat' => 'float'),
-                  'alias' => 'myEchoStructAsSimpleTypes');
-        $this->__dispatch_map['echoStringSimple'] =
-            array('in' => array('inputStringSimple' => 'string'),
-                  'out' => array('outputStringSimple' => 'string'));
-        $this->__dispatch_map['echoString'] =
-            array('in' => array('inputString' => 'string'),
-                  'out' => array('outputString' => 'string'));
-        $this->__dispatch_map['divide'] =
-            array('in' => array('dividend' => 'int',
-                                'divisor' => 'int'),
-                  'out' => array('outputFloat' => 'float'));
-        $this->__dispatch_map['echoStruct'] =
-            array('in' => array('inputStruct' => '{http://soapinterop.org/xsd}SOAPStruct'),
-                  'out' => array('outputStruct' => '{http://soapinterop.org/xsd}SOAPStruct'));
-
-        $this->__dispatch_map['echoMimeAttachment'] =
-            array('in' => array('stuff' => 'string'),
-                  'out' => array('outputMime' => 'string'));
+        // an aliased function with multiple out parameters
+	$this->__dispatch_map['echoStructAsSimpleTypes'] =
+		array('in' => array('inputStruct' => '{http://soapinterop.org/xsd}SOAPStruct'),
+		      'out' => array('outputString' => 'string', 'outputInteger' => 'int', 'outputFloat' => 'float'),
+		      'alias' => 'myEchoStructAsSimpleTypes'
+		      );
+	$this->__dispatch_map['echoStringSimple'] =
+		array('in' => array('inputStringSimple' => 'string'),
+		      'out' => array('outputStringSimple' => 'string'),
+		      );
+	$this->__dispatch_map['echoString'] =
+		array('in' => array('inputString' => 'string'),
+		      'out' => array('outputString' => 'string'),
+		      );
+	$this->__dispatch_map['divide'] =
+		array('in' => array('dividend' => 'int', 'divisor' => 'int'),
+		      'out' => array('outputFloat' => 'float'),
+		      );
+	$this->__dispatch_map['echoStruct'] =
+		array('in' => array('inputStruct' => '{http://soapinterop.org/xsd}SOAPStruct'),
+		      'out' => array('outputStruct' => '{http://soapinterop.org/xsd}SOAPStruct'),
+		      );
+	
+	$this->__dispatch_map['echoMimeAttachment'] = array();
     }
 
-    /* This private function is called on by SOAP_Server to determine any
-     * special dispatch information that might be necessary.  This, for
-     * example, can be used to set up a dispatch map for functions that return
-     * multiple OUT parameters. */
-    function __dispatch($methodname)
-    {
-        if (isset($this->__dispatch_map[$methodname])) {
+    /* this private function is called on by SOAP_Server to determine any
+        special dispatch information that might be necessary.  This, for example,
+        can be used to set up a dispatch map for functions that return multiple
+        OUT parameters */
+    function __dispatch($methodname) {
+        if (isset($this->__dispatch_map[$methodname]))
             return $this->__dispatch_map[$methodname];
-        }
-        return null;
+        return NULL;
     }
 
-    /* A simple echoString function. */
+    // a simple echoString function
     function echoStringSimple($inputString)
     {
-        return $inputString;
+	return $inputString;
     }
-
-    /* An explicit echoString function. */
+    
+    // an explicit echostring function
     function echoString($inputString)
     {
-        return new SOAP_Value('outputString', 'string', $inputString);
+	return new SOAP_Value('outputString','string',$inputString);
     }
 
     function divide($dividend, $divisor)
     {
-        /* The SOAP server would normally catch errors like this and return a
-         * fault, but this is how you do it yourself. */
-        if ($divisor == 0) {
+        // the soap server would normally catch errors like this
+        // and return a fault, but this is how you do it yourself.
+        if ($divisor == 0)
             return new SOAP_Fault('You cannot divide by zero', 'Client');
-        } else {
+        else
             return $dividend / $divisor;
-        }
     }
 
@@ -119,37 +126,36 @@
         return $inputStruct->__to_soap('outputStruct');
     }
-
+    
     /**
-     * Takes a SOAPStruct as input, and returns each of its elements as OUT
-     * parameters.
+     * echoStructAsSimpleTypes
+     * takes a SOAPStruct as input, and returns each of its elements
+     * as OUT parameters
      *
-     * This function is also aliased so you have to call it as
-     * echoStructAsSimpleTypes.
+     * this function is also aliased so you have to call it with
+     * echoStructAsSimpleTypes
      *
      * SOAPStruct is defined as:
-     * <code>
+     *
      * struct SOAPStruct:
      *    string varString
      *    integer varInt
      *    float varFloat
-     * </code>
+     *
      */
     function myEchoStructAsSimpleTypes($struct)
     {
-        /* Convert a SOAPStruct to an array. */
-        return array(
-            new SOAP_Value('outputString', 'string', $struct->varString),
-            new SOAP_Value('outputInteger', 'int', $struct->varInt),
-            new SOAP_Value('outputFloat', 'float', $struct->varFloat)
+	# convert a SOAPStruct to an array
+	return array(
+	    new SOAP_Value('outputString','string',$struct->varString),
+	    new SOAP_Value('outputInteger','int',$struct->varInt),
+	    new SOAP_Value('outputFloat','float',$struct->varFloat)
 	    );
     }
-
+    
     function echoMimeAttachment($stuff)
     {
-        return new SOAP_Attachment('return',
-                                   'application/octet-stream',
-                                   null,
-                                   $stuff);
-    }
+        return new SOAP_Attachment('return','application/octet-stream',NULL,$stuff);
+    }    
+}
 
-}
+?>
Index: /branches/version-2_11-dev/data/module/SOAP/example/smtp.php
===================================================================
--- /branches/version-2_11-dev/data/module/SOAP/example/smtp.php	(revision 21318)
+++ /branches/version-2_11-dev/data/module/SOAP/example/smtp.php	(revision 21410)
@@ -1,40 +1,32 @@
 <?
-/**
- * SMTP client.
- *
- * PHP versions 4 and 5
- *
- * LICENSE: This source file is subject to version 2.02 of the PHP license,
- * that is bundled with this package in the file LICENSE, and is available at
- * through the world-wide-web at http://www.php.net/license/2_02.txt.  If you
- * did not receive a copy of the PHP license and are unable to obtain it
- * through the world-wide-web, please send a note to license@php.net so we can
- * mail you a copy immediately.
- *
- * @category   Web Services
- * @package    SOAP
- * @author     Shane Caraveo <Shane@Caraveo.com>   Port to PEAR and more
- * @author     Jan Schneider <jan@horde.org>       Maintenance
- * @copyright  2003-2007 The PHP Group
- * @license    http://www.php.net/license/2_02.txt  PHP License 2.02
- * @link       http://pear.php.net/package/SOAP
- */
+//
+// +----------------------------------------------------------------------+
+// | PHP Version 4                                                        |
+// +----------------------------------------------------------------------+
+// | Copyright (c) 1997-2003 The PHP Group                                |
+// +----------------------------------------------------------------------+
+// | This source file is subject to version 2.02 of the PHP license,      |
+// | that is bundled with this package in the file LICENSE, and is        |
+// | available at through the world-wide-web at                           |
+// | http://www.php.net/license/2_02.txt.                                 |
+// | If you did not receive a copy of the PHP license and are unable to   |
+// | obtain it through the world-wide-web, please send a note to          |
+// | license@php.net so we can mail you a copy immediately.               |
+// +----------------------------------------------------------------------+
+// | Authors: Shane Caraveo <Shane@Caraveo.com>                           |
+// +----------------------------------------------------------------------+
+//
+// $Id: smtp.php,v 1.5 2005/03/10 23:16:40 yunosh Exp $
+//
+// include soap client class
+include("SOAP/Client.php");
 
-/* Include SOAP_Client class. */
-require_once 'SOAP/Client.php';
-$soapclient = new SOAP_Client('mailto:user@domain.com');
+$soapclient = new SOAP_Client("mailto:user@domain.com");
+$options = array('namespace'=>'http://soapinterop.org/','from'=>'user@domain.com','host'=>'localhost');
+$return = $soapclient->call("echoString",array("inputString"=>"this is a test"), $options);
+$return = $soapclient->call("echoStringArray",array('inputStringArray' => array('good','bad','ugly')), $options);
+// don't expect much of a result!
+print_r($return);
+print "<br>\n".$soapclient->wire;
+?>
 
-$options = array('namespace' => 'http://soapinterop.org/',
-                 'from' => 'user@domain.com',
-                 'host' => 'localhost');
-$return = $soapclient->call('echoString',
-                            array('inputString' => 'this is a test'),
-                            $options);
-$return = $soapclient->call('echoStringArray',
-                            array('inputStringArray' => array('good', 'bad', 'ugly')),
-                            $options);
-
-/* Don't expect much of a result! */
-print_r($return);
-echo $soapclient->wire;
-
Index: /branches/version-2_11-dev/data/module/SOAP/example/tcp_client.php
===================================================================
--- /branches/version-2_11-dev/data/module/SOAP/example/tcp_client.php	(revision 21318)
+++ /branches/version-2_11-dev/data/module/SOAP/example/tcp_client.php	(revision 21410)
@@ -1,41 +1,42 @@
 <?php
-/**
- * TCP client.
- *
- * PHP versions 4 and 5
- *
- * LICENSE: This source file is subject to version 2.02 of the PHP license,
- * that is bundled with this package in the file LICENSE, and is available at
- * through the world-wide-web at http://www.php.net/license/2_02.txt.  If you
- * did not receive a copy of the PHP license and are unable to obtain it
- * through the world-wide-web, please send a note to license@php.net so we can
- * mail you a copy immediately.
- *
- * @category   Web Services
- * @package    SOAP
- * @author     Shane Caraveo <Shane@Caraveo.com>   Port to PEAR and more
- * @author     Jan Schneider <jan@horde.org>       Maintenance
- * @copyright  2003-2007 The PHP Group
- * @license    http://www.php.net/license/2_02.txt  PHP License 2.02
- * @link       http://pear.php.net/package/SOAP
- */
+//
+// +----------------------------------------------------------------------+
+// | PHP Version 4                                                        |
+// +----------------------------------------------------------------------+
+// | Copyright (c) 1997-2003 The PHP Group                                |
+// +----------------------------------------------------------------------+
+// | This source file is subject to version 2.02 of the PHP license,      |
+// | that is bundled with this package in the file LICENSE, and is        |
+// | available at through the world-wide-web at                           |
+// | http://www.php.net/license/2_02.txt.                                 |
+// | If you did not receive a copy of the PHP license and are unable to   |
+// | obtain it through the world-wide-web, please send a note to          |
+// | license@php.net so we can mail you a copy immediately.               |
+// +----------------------------------------------------------------------+
+// | Authors: Shane Hanna <iordy_at_iordy_dot_com>                        |
+// +----------------------------------------------------------------------+
+//
+// $Id: tcp_client.php,v 1.5 2007/01/22 11:33:27 yunosh Exp $
+//
 
-require_once 'SOAP/Client.php';
+require_once('SOAP/Client.php');
 
-/* Client. */
-$soapclient = new SOAP_Client('tcp://127.0.0.1:82');
+// client
+$soapclient = new SOAP_Client("tcp://127.0.0.1:82");
 
-/* Namespace. */
+// namespace
 $options = array('namespace' => 'urn:SOAP_Example_Server', 'trace' => true);
 
-/* One. */
-$params = array('string' => 'this is string 1');
-$ret1 = $soapclient->call('echoString', $params, $options);
-echo "WIRE: \n" . $soapclient->getWire();
+// one
+$params = array("string" => "this is string 1");
+$ret1 = $soapclient->call("echoString", $params, $options);
+// echo "WIRE: \n".$soapclient->getWire();
 print_r($ret1);
+echo "<br />\n";
 
-/* Two. */
-$params = array('string' => 'this is string 2');
-$ret2 = $soapclient->call('echoString', $params, $options);
-echo "WIRE: \n" . $soapclient->getWire();
+// two
+$params = array("string" => "this is string 2");
+$ret2 = $soapclient->call("echoString", $params, $options);
+// echo "WIRE: \n".$soapclient->getWire();
 print_r($ret2);
+echo "<br />\n";
Index: /branches/version-2_11-dev/data/module/SOAP/example/email_client.php
===================================================================
--- /branches/version-2_11-dev/data/module/SOAP/example/email_client.php	(revision 21318)
+++ /branches/version-2_11-dev/data/module/SOAP/example/email_client.php	(revision 21410)
@@ -1,46 +1,50 @@
 <?php
-/**
- * This reads a message from stdin, and calls the SOAP server defined. You can
- * use this from qmail by creating a .qmail-soaptest file with:
- * <code>
- * | /usr/bin/php /path/to/email_server.php
- * </code>
- *
- * PHP versions 4 and 5
- *
- * LICENSE: This source file is subject to version 2.02 of the PHP license,
- * that is bundled with this package in the file LICENSE, and is available at
- * through the world-wide-web at http://www.php.net/license/2_02.txt.  If you
- * did not receive a copy of the PHP license and are unable to obtain it
- * through the world-wide-web, please send a note to license@php.net so we can
- * mail you a copy immediately.
- *
- * @category   Web Services
- * @package    SOAP
- * @author     Shane Caraveo <Shane@Caraveo.com>   Port to PEAR and more
- * @author     Jan Schneider <jan@horde.org>       Maintenance
- * @copyright  2003-2007 The PHP Group
- * @license    http://www.php.net/license/2_02.txt  PHP License 2.02
- * @link       http://pear.php.net/package/SOAP
- */
+//
+// +----------------------------------------------------------------------+
+// | PHP Version 4                                                        |
+// +----------------------------------------------------------------------+
+// | Copyright (c) 1997-2003 The PHP Group                                |
+// +----------------------------------------------------------------------+
+// | This source file is subject to version 2.02 of the PHP license,      |
+// | that is bundled with this package in the file LICENSE, and is        |
+// | available at through the world-wide-web at                           |
+// | http://www.php.net/license/2_02.txt.                                 |
+// | If you did not receive a copy of the PHP license and are unable to   |
+// | obtain it through the world-wide-web, please send a note to          |
+// | license@php.net so we can mail you a copy immediately.               |
+// +----------------------------------------------------------------------+
+// | Authors: Shane Caraveo <Shane@Caraveo.com>   Port to PEAR and more   |
+// +----------------------------------------------------------------------+
+//
+// $Id: email_client.php,v 1.4 2005/03/10 23:16:40 yunosh Exp $
+//
 
-/** SOAP_Server_Email */
+/*
+This reads a message from stdin, and calls the soap server defined
+
+You can use this from qmail by creating a .qmail-soaptest file with:
+    | /usr/bin/php /path/to/email_server.php
+*/
+
+# include the email server class
 require_once 'SOAP/Server/Email.php';
+
 $server = new SOAP_Server_Email;
 
-/* Read stdin. */
-$fin = fopen('php://stdin', 'rb');
-if (!$fin) {
-    exit(1);
-}
+# read stdin
+$fin = fopen('php://stdin','rb');
+if (!$fin) exit(0);
 
 $email = '';
 while (!feof($fin) && $data = fread($fin, 8096)) {
-    $email .= $data;
+  $email .= $data;
 }
 
 fclose($fin);
 
+
 $response = $server->client($email);
 
 print_r($response);
+
+?>
Index: /branches/version-2_11-dev/data/module/SOAP/example/email_pop_gateway.php
===================================================================
--- /branches/version-2_11-dev/data/module/SOAP/example/email_pop_gateway.php	(revision 21318)
+++ /branches/version-2_11-dev/data/module/SOAP/example/email_pop_gateway.php	(revision 21410)
@@ -1,61 +1,70 @@
 <?php
-/**
- * POP3 gateway.
- *
- * PHP versions 4 and 5
- *
- * license: This source file is subject to version 2.02 of the PHP license,
- * that is bundled with this package in the file LICENSE, and is available at
- * through the world-wide-web at http://www.php.net/license/2_02.txt.  If you
- * did not receive a copy of the PHP license and are unable to obtain it
- * through the world-wide-web, please send a note to license@php.net so we can
- * mail you a copy immediately.
- *
- * @category   Web Services
- * @package    SOAP
- * @author     Shane Caraveo <Shane@Caraveo.com>   Port to PEAR and more
- * @author     Jan Schneider <jan@horde.org>       Maintenance
- * @copyright  2003-2007 The PHP Group
- * @license    http://www.php.net/license/2_02.txt  PHP License 2.02
- * @link       http://pear.php.net/package/SOAP
- */
+//
+// +----------------------------------------------------------------------+
+// | PHP Version 4                                                        |
+// +----------------------------------------------------------------------+
+// | Copyright (c) 1997-2003 The PHP Group                                |
+// +----------------------------------------------------------------------+
+// | This source file is subject to version 2.02 of the PHP license,      |
+// | that is bundled with this package in the file LICENSE, and is        |
+// | available at through the world-wide-web at                           |
+// | http://www.php.net/license/2_02.txt.                                 |
+// | If you did not receive a copy of the PHP license and are unable to   |
+// | obtain it through the world-wide-web, please send a note to          |
+// | license@php.net so we can mail you a copy immediately.               |
+// +----------------------------------------------------------------------+
+// | Authors: Shane Caraveo <Shane@Caraveo.com>   Port to PEAR and more   |
+// +----------------------------------------------------------------------+
+//
+// $Id: email_pop_gateway.php,v 1.6 2005/03/10 23:16:40 yunosh Exp $
+//
 
-/* SOAP_Server_Email_Gateway */
+/* include the Email server class, which knows how to
+   parse a standard email as a soap message */
+
 require_once 'SOAP/Server/Email_Gateway.php';
 
-/* Include a class to access POP3. */
+/* include a class to access POP3 */
+
 require_once 'Net/POP3.php';
 
-/* Create the SOAP Server object. */
+/* create the SOAP Server object */
+
 $server = new SOAP_Server_Email_Gateway('http://localhost/soap_interop/server_round2.php');
 
-/* Tell the server to translate to classes we provide if possible. */
+/* tell server to translate to classes we provide if possible */
 $server->_auto_translation = true;
 
-require_once './example_server.php';
+require_once 'example_server.php';
+
 $soapclass = new SOAP_Example_Server();
 $server->addObjectMap($soapclass,'urn:SOAP_Example_Server');
 
-/* Connect to a POP3 server and read the messages. */
-$pop3 = new Net_POP3();
+
+/* Connect to a POP3 server and read the messages */
+
+$pop3 =& new Net_POP3();
 if ($pop3->connect('localhost', 110)) {
     if ($pop3->login('username', 'password')) {
         $listing = $pop3->getListing();
 
-        /* Now loop through each message, and call the SOAP server with that
-         * message. */
+	/* now loop through each message, and call the 
+           SOAP server with that message */
+
         foreach ($listing as $msg) {
+
             $email = $pop3->getMsg($msg['msg_id']);
 
-            /* This is where we actually handle the SOAP response.  The
-             * SOAP::Server::Email class we are using will send the SOAP
-             * response to the sender via email. */
-            if ($email) {
-                $server->service($email);
-            }
+            /* this is where we actually handle the SOAP
+               response.  The SOAP::Server::Email class we
+               are using will send the SOAP response to 
+               the sender via email. */
 
-            // $pop3->deleteMsg($msg['msg_id']);
+            if ($email) $server->service($email);
+
+            #$pop3->deleteMsg($msg['msg_id']);
         }
     }
     $pop3->disconnect();
 }
+?>
Index: /branches/version-2_11-dev/data/module/SOAP/example/server2.php
===================================================================
--- /branches/version-2_11-dev/data/module/SOAP/example/server2.php	(revision 21318)
+++ /branches/version-2_11-dev/data/module/SOAP/example/server2.php	(revision 21410)
@@ -1,60 +1,64 @@
 <?php
-/**
- * Server endpoint.
- *
- * PHP versions 4 and 5
- *
- * LICENSE: This source file is subject to version 2.02 of the PHP license,
- * that is bundled with this package in the file LICENSE, and is available at
- * through the world-wide-web at http://www.php.net/license/2_02.txt.  If you
- * did not receive a copy of the PHP license and are unable to obtain it
- * through the world-wide-web, please send a note to license@php.net so we can
- * mail you a copy immediately.
- *
- * @category   Web Services
- * @package    SOAP
- * @author     Shane Caraveo <Shane@Caraveo.com>   Port to PEAR and more
- * @author     Jan Schneider <jan@horde.org>       Maintenance
- * @copyright  2003-2007 The PHP Group
- * @license    http://www.php.net/license/2_02.txt  PHP License 2.02
- * @link       http://pear.php.net/package/SOAP
- */
+//
+// +----------------------------------------------------------------------+
+// | PHP Version 4                                                        |
+// +----------------------------------------------------------------------+
+// | Copyright (c) 1997-2003 The PHP Group                                |
+// +----------------------------------------------------------------------+
+// | This source file is subject to version 2.02 of the PHP license,      |
+// | that is bundled with this package in the file LICENSE, and is        |
+// | available at through the world-wide-web at                           |
+// | http://www.php.net/license/2_02.txt.                                 |
+// | If you did not receive a copy of the PHP license and are unable to   |
+// | obtain it through the world-wide-web, please send a note to          |
+// | license@php.net so we can mail you a copy immediately.               |
+// +----------------------------------------------------------------------+
+// | Authors: Shane Caraveo <Shane@Caraveo.com>                           |
+// +----------------------------------------------------------------------+
+//
+// $Id: server2.php,v 1.3 2005/03/10 23:16:40 yunosh Exp $
+//
 
-/* First, include the SOAP_Server class. */
+// first, include the SOAP/Server class
 require_once 'SOAP/Server.php';
+
 $server = new SOAP_Server;
-
-/* Tell server to translate to classes we provide if possible. */
+/* tell server to translate to classes we provide if possible */
 $server->_auto_translation = true;
 
-/* This is a simple example of implementing a custom call handler.  If you do
- * this, the SOAP server will ignore objects or functions added to it, and
- * will call your handler for **ALL** SOAP calls the server receives, whether
- * the call is defined in your WSDL or not.  The handler receives two
- * arguments, the method name being called, and the arguments sent for that
- * call. */
+/* This is a simple example of implementing a custom
+   call handler.  If you do this, the soap server will ignore
+   objects or functions added to it, and will call your handler
+   for **ALL** soap calls the server receives, wether the call
+   is defined in your WSDL or not.  The handler receives two
+   arguments, the method name being called, and the arguments
+   sent for that call.
+*/
 function myCallHandler($methodname, $args)
 {
     global $soapclass;
-    return call_user_func_array(array($soapclass, $methodname), $args);
+    return @call_user_func_array(array($soapclass, $methodname),$args);
 }
-$server->setCallHandler('myCallHandler', false);
+$server->setCallHandler('myCallHandler',false);
 
-require_once dirname(__FILE__) . '/example_server.php';
+require_once 'example_server.php';
+
 $soapclass = new SOAP_Example_Server();
-$server->addObjectMap($soapclass, 'urn:SOAP_Example_Server');
+$server->addObjectMap($soapclass,'urn:SOAP_Example_Server');
 
 if (isset($_SERVER['REQUEST_METHOD']) &&
-    $_SERVER['REQUEST_METHOD'] == 'POST') {
+    $_SERVER['REQUEST_METHOD']=='POST') {
     $server->service($HTTP_RAW_POST_DATA);
 } else {
     require_once 'SOAP/Disco.php';
-    $disco = new SOAP_DISCO_Server($server, 'ServerExample');
-    header('Content-type: text/xml');
+    $disco = new SOAP_DISCO_Server($server,'ServerExample');
+    header("Content-type: text/xml");
     if (isset($_SERVER['QUERY_STRING']) &&
-       strpos($_SERVER['QUERY_STRING'], 'wsdl') !== false) {
+       strcasecmp($_SERVER['QUERY_STRING'],'wsdl')==0) {
         echo $disco->getWSDL();
     } else {
         echo $disco->getDISCO();
     }
+    exit;
 }
+?>
